Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by David Brown (95fd8ab307e17188baafaf815228dffde25faf9b)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: David Brown <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by David Brown (95fd8ab307e17188baafaf815228dffde25faf9b)
  • Date: Sun, 15 Apr 2007 14:01:45 -0500

GIT changes to master grimoire by David Brown <dmlb2000 AT gmail.com>:

smgl/linux-initramfs/HISTORY | 4 ++
smgl/linux-initramfs/examples/pre_kinit.sh.klibc | 34
+++++++++++++++++++++++
2 files changed, 38 insertions(+)

New commits:
commit 95fd8ab307e17188baafaf815228dffde25faf9b
Author: David Brown <dmlb2000 AT gmail.com>
Commit: David Brown <dmlb2000 AT gmail.com>

linux-initramfs added another pre_kinit.sh script that does the resume ip
and nfsmount options by default

diff --git a/smgl/linux-initramfs/HISTORY b/smgl/linux-initramfs/HISTORY
index f5a8c0d..3a179c8 100644
--- a/smgl/linux-initramfs/HISTORY
+++ b/smgl/linux-initramfs/HISTORY
@@ -1,4 +1,8 @@
2007-04-15 David Brown <dmlb2000 AT gmail.com>
+ * examples/pre_kinit.sh.klibc: added for the default klibc supported
+ resume ip and nfsmount configurations
+
+2007-04-15 David Brown <dmlb2000 AT gmail.com>
* DETAILS: updated version its time for this
* FINAL: fixed output to correct install location
* INSTALL: added install of example files to /etc
diff --git a/smgl/linux-initramfs/examples/pre_kinit.sh.klibc
b/smgl/linux-initramfs/examples/pre_kinit.sh.klibc
new file mode 100644
index 0000000..492434e
--- /dev/null
+++ b/smgl/linux-initramfs/examples/pre_kinit.sh.klibc
@@ -0,0 +1,34 @@
+#!/bin/bash
+# this is an example of a suspend2 resume in the initrd
+cat <<-EOF
+if ! [ -f /proc/cmdline ]
+then
+ mount -t proc proc /proc
+fi
+for arg in \`cat /proc/cmdline\`
+do
+ case "\$arg" in
+ resume=*)
+ eval \$arg
+ ;;
+ ip=*)
+ eval \$arg
+ /bin/ipconfig \$ip
+ ;;
+ nfsroot=*)
+ eval \$arg
+ ;;
+ *)
+ ;;
+ esac
+done
+if ! [ -z "\$resume" ]
+then
+ /bin/resume \$resume
+fi
+if ! [ -z "\$nfsroot" ]
+then
+ /bin/nfsmount "\$nfsroot" /root
+ /bin/run-init /root /sbin/init "\$@"
+fi
+EOF



  • [SM-Commit] GIT changes to master grimoire by David Brown (95fd8ab307e17188baafaf815228dffde25faf9b), David Brown, 04/15/2007

Archive powered by MHonArc 2.6.24.

Top of Page